<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function funcion1() {
			// document.write('hola clase');  
				// cuando en la pag pinchas en adios, desaparecen el hola y adios y sólo queda el hola clase
				// cuando utilizas document.write en una funcion aparece pero borra todo lo anterior una vez que se ejecuta la funcion, crea una nueva pag
			document.querySelector("#salida").innerHTML+="hola clase"; //con el += se añade hola clase a lo que haya, se puede repetir 
		} 
	</script>
</head>
<body>
	<script type="text/javascript">
		document.write('<div>hola</div>');
	</script>
	<div onclick="funcion1()">
	adios	
	</div>
	<div id="salida">
		
	</div>
</body>
</html>